### Function

# AppStreamCompose globals_set_tmp_dir

since: 0.13.0

#### Declaration [src]

    void
    asc_globals_set_tmp_dir (
      const gchar* path
    )

#### Description [src]

Set temporary directory used by appstream-compose.

This has to be done before composing metadata starts. Once work has begun, changing any global setting is forbidden.

Available since: 0.13.0

#### Parameters

`path`

  Type: `const gchar*`

  The new temporary directory.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.